format-utils.h File Reference
SPA » Parameters

`spa/param/audio/format-utils.h` More...

Go to the source code of this file.

## Functions

static int | spa_format_audio_raw_parse (const struct spa_pod *format, struct spa_audio_info_raw *info)
static int | spa_format_audio_dsp_parse (const struct spa_pod *format, struct spa_audio_info_dsp *info)
static int | spa_format_audio_iec958_parse (const struct spa_pod *format, struct spa_audio_info_iec958 *info)
static int | spa_format_audio_dsd_parse (const struct spa_pod *format, struct spa_audio_info_dsd *info)
static struct spa_pod * | spa_format_audio_raw_build (struct spa_pod_builder *builder, uint32_t id, struct spa_audio_info_raw *info)
static struct spa_pod * | spa_format_audio_dsp_build (struct spa_pod_builder *builder, uint32_t id, struct spa_audio_info_dsp *info)
static struct spa_pod * | spa_format_audio_iec958_build (struct spa_pod_builder *builder, uint32_t id, struct spa_audio_info_iec958 *info)
static struct spa_pod * | spa_format_audio_dsd_build (struct spa_pod_builder *builder, uint32_t id, struct spa_audio_info_dsd *info)

## Detailed Description

`spa/param/audio/format-utils.h`